> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topograph.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get monitor details



## OpenAPI

````yaml get /v2/monitors/{id}
openapi: 3.0.0
info:
  title: Topograph
  description: The Topograph API
  version: '0.1'
  contact: {}
servers:
  - url: https://api.topograph.co
security:
  - x-api-key: []
tags: []
paths:
  /v2/monitors/{id}:
    get:
      tags:
        - Monitors
      summary: Get monitor details
      operationId: MonitoringController_getMonitor_v2
      parameters:
        - name: id
          required: true
          in: path
          description: Monitor ID
          schema:
            type: string
      responses:
        '200':
          description: Monitor details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorDetailsResponseDto'
        '401':
          description: Invalid or missing API key
        '404':
          description: Monitor not found or access denied
      security:
        - x-api-key: []
components:
  schemas:
    MonitorDetailsResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the monitor
          example: cmfzlu1dt000j12ldeqrfszq0
        companyId:
          type: string
          description: The company ID being monitored
          example: '123456789'
        countryCode:
          type: string
          description: The country code for the monitored company
          example: DE
        lastFetchedAt:
          type: string
          description: When the monitor data was last fetched
          example: '2026-03-20T02:00:00.000Z'
          nullable: true
        createdAt:
          type: string
          description: When the monitor was created
          example: '2026-01-15T10:30:00.000Z'
        companyName:
          type: string
          description: The legal name of the monitored company
          example: Topograph SAS
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
          example:
            caseId: case-12345
          description: >-
            Key-value pairs provided at monitor creation, echoed back in
            responses and monitor.notification webhooks.
      required:
        - id
        - companyId
        - countryCode
        - createdAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````